import { FC, ReactElement } from "react";
import { BaseScrollOptions, BaseScrollOptionsWithHash } from "../Utils/types";
export declare type ChildHash = string | BaseScrollOptionsWithHash;
export interface ChildrenHashProps extends Partial<BaseScrollOptions> {
    /**
     * Array of hashes or hashes with scroll options
     *
     * Hashes can include or exclude leading "#"
     *
     * Length should be equal to children length
     *
     */
    hashes: ChildHash[];
    /**
     * Length should be equal to hashes length
     */
    children: ReactElement[];
}
/**
 * Scrolls to corresponding child element when one of the hashes is present in the url
 */
declare const ChildrenHash: FC<ChildrenHashProps>;
export default ChildrenHash;
