import { FC, ReactElement } from "react";
import { BaseScrollOptions } from "../Utils/types";
export interface HashScrollProps extends Partial<BaseScrollOptions> {
    /**
     * The [hash](https://www.oho.com/blog/explained-60-seconds-hash-symbols-urls-and-seo#:~:text=A%20hash%20sign%20(%23)%20in,specific%20subsection%20of%20that%20document.) that should trigger scroll to the element
     *
     * Can include or exclude leading "#"
     *
     * Examples:
     * - "#example"
     * - "example"
     *
     * Type: string
     */
    hash: string;
    /**
     * The Element to scroll to
     */
    children: ReactElement<any, any>;
}
/**
 * Scrolls to child element when the specified hash is present in the url
 *
 * Note: **ONLY** 1 child element allowed
 */
declare const HashScroll: FC<HashScrollProps>;
export default HashScroll;
